Source: masschroq
Section: pappsodev/science
Priority: optional
Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
Uploaders: Olivier Langella <olivier.langella@moulon.inra.fr>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1.0
Build-Depends: debhelper (>= 5), cmake (>= 2.6), libx11-dev, libc6-dev, libqt4-dev (>= 4.6.3),
 libqwt-dev (>=6.0.0), texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended,
 texlive-science, hevea, inkscape, doxygen, libpappsomspp-dev (= @LIBPAPPSOMSPP_VERSION@), libodsstream-dev (>=0.4.4)
Build-Conflicts: qt3-dev-tools
Homepage: http://pappso.inra.fr/bioinfo/masschroq/



Package: masschroq-common
Architecture: linux-any
Depends: ${shlibs:Depends}, libqtcore4 (>= 4.6.3), libpappsomspp-qt4  (= @LIBPAPPSOMSPP_VERSION@), libodsstream-qt4
Replaces: masschroq (<< 1.5.0)
Conflicts: masschroq (<< 1.5.0)
Suggests: masschroq, masschroq-gui, masschroq-studio
Description: Mass Chromatogram Quantification shared libraries
 MassChroQ (Mass Chromatogram Quantification) software performs quantification 
 of data obtained from LC-MS (Liquid Chromatography - Mass Spectrometry) techniques. 
 In particular it performs : retention-time alignment of runs, XIC extraction and filtering, 
 peak detection and quantification.



Package: masschroq-doc
Architecture: all
Depends: ${shlibs:Depends}
Suggests: masschroq, masschroq-gui, masschroq-studio
Description: Mass Chromatogram Quantification documentation
 Installs PDF documentation for MassChroQ in /usr/share/doc/masschroq



Package: masschroq
Architecture: any
Depends: ${shlibs:Depends}, masschroq-common (= ${binary:Version}), libqt4-xml (>= 4.6.3)
Suggests: masschroq-doc, masschroq-gui, masschroq-studio
Description: Mass Chromatogram Quantification CLI (Command Line Interface)
 MassChroQ (Mass Chromatogram Quantification) software performs quantification 
 of data obtained from LC-MS (Liquid Chromatography - Mass Spectrometry) techniques. 
 In particular it performs : retention-time alignment of runs, XIC extraction and filtering, 
 peak detection and quantification.



Package: masschroq-gui
Architecture: any
Depends: ${shlibs:Depends}, masschroq-common (= ${binary:Version}), libqt4-xml (>= 4.6.3), libqtgui4 (>= 4.6.3), libqt4-xmlpatterns (>= 4.6.3), libqt4-network (>= 4.6.3)
Suggests: masschroq-doc, masschroq-studio
Description: Mass Chromatogram Quantification graphical user interface
 MassChroQ (Mass Chromatogram Quantification) software performs quantification 
 of data obtained from LC-MS (Liquid Chromatography - Mass Spectrometry) techniques. 
 In particular it performs : retention-time alignment of runs, XIC extraction and filtering, 
 peak detection and quantification.



Package: masschroq-studio
Architecture: any
Depends: ${shlibs:Depends}, masschroq-common (= ${binary:Version}), libqt4-xml (>= 4.6.3), libqtgui4 (>= 4.6.3),libqwt6 (>= 6.0.0), libqt4-xml (>= 4.6.3)
Suggests: masschroq-doc, masschroq-gui
Description: Mass Chromatogram Quantification graphical user interface to edit parameters
 MassChroQ (Mass Chromatogram Quantification) software performs quantification 
 of data obtained from LC-MS (Liquid Chromatography - Mass Spectrometry) techniques. 
 In particular it performs : retention-time alignment of runs, XIC extraction and filtering, 
 peak detection and quantification.


Package: masschroq-condor
Architecture: all
Depends: ${shlibs:Depends}, masschroq, condor
Suggests: masschroq-doc, masschroq-gui, masschroq-studio
Description: Perl script to launch MassChroQ via condor job queue
 Perl script to launch MassChroQ via condor job queue
