/*
 * launcherMainWindow.h
 *
 *  Created on: 10 sept. 2012
 *      Author: valot
 */

#ifndef LAUNCHERMAINWINDOW_H_
#define LAUNCHERMAINWINDOW_H_

#include <QMainWindow>
#include <QVBoxLayout>
#include <QLineEdit>
#include <QPushButton>
#include "thread/masschroqRunningThread.h"
#include "../lib/mass_chroq.h"



namespace Ui {
class GuiMainWindow;
}

class LauncherMainWindow: public QMainWindow {
    Q_OBJECT

public:

    explicit LauncherMainWindow(QWidget * parent = 0);
    ~LauncherMainWindow();

protected:

    void closeEvent(QCloseEvent *event);

private slots:
    void selectMassChroqFile();
    void selectTempDirectory();
    void startMassChroq();
    void AbordMassChroqRunning();
    void finishRunningMassChroq();
    void viewErrorDuringRunning(QString error);
    void about();
    void setNumberOfCpus(int z);
    void appendLogString(QString log);

private:
    bool maybeSave();
    void initialiseMassChroqRunningThread();
    void addMenu();
    void addWidget();
    void addMasschroqmlSelectionGroup();
    void addTempDirectorySelectionGroup();
    void addCpuNumberSelectionGroup();
    void viewError(QString error);



    MassChroq * _masschroq;
    MasschroqRunningThread * _masschroqRunningThread;
    //LogQTextEdit * _logQTextEdit;
    //QPushButton * loadButton;
    //QLineEdit *_masschroqml_edit;
    //QLineEdit *_temp_edit;
    //bool _onlyPeptideParse;
    QDateTime _dt_begin;

    int _number_of_cpus;


private:
    Ui::GuiMainWindow *ui;
};

#endif /* LAUNCHERMAINWINDOW_H_ */
